#!/bin/sh
# Start or stop widentd

# PROVIDE: widentd
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: shutdown


# Define these widentd_* variables in one of these files:
#
#       /etc/rc.conf
#       /etc/rc.conf.local
#
# e.g. 
#       widentd_enable="YES"
#
# see the widentd(8) man page for some additional options;
# such as flags to set the IP address widentd is bound to,
# or how to set a differernt, or fake user id being sent as a reply.
#
# DO NOT CHANGE THE FOLLOWING DEFAULT VALUES HERE
#
widentd_enable=${widentd_enable-"NO"}

. /etc/rc.subr

name="widentd"
rcvar=widentd_enable
command="%%PREFIX%%/sbin/widentd"

load_rc_config $name

run_rc_command "$1"
